/** ###################################################################
**     Filename  : Events.c
**     Project   : ______PWM
**     Processor : MC9S12XS128MAA
**     Component : Events
**     Version   : Driver 01.04
**     Compiler  : CodeWarrior HCS12X C Compiler
**     Date/Time : 2011/6/13, 21:33
**     Abstract  :
**         This is user's event module.
**         Put your event handler code here.
**     Settings  :
**     Contents  :
**         No public methods
**
** ###################################################################*/
/* MODULE Events */


#include "Cpu.h"
#include "Events.h"

/* User includes (#include below this line is not maintained by Processor Expert) */

#pragma CODE_SEG DEFAULT

/*
** ===================================================================
**     Event       :  Timer4ms_OnInterrupt (module Events)
**
**     Component   :  Timer4ms [TimerInt]
**     Description :
**         When a timer interrupt occurs this event is called (only
**         when the component is enabled - <Enable> and the events are
**         enabled - <EnableEvent>). This event is enabled only if a
**         <interrupt service/event> is enabled.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void Timer4ms_OnInterrupt(void)
{
  /* Write your code here ... */
  static int CounterForRay = 0;
  CounterForRay ++;
  
  if(1 == CounterForRay)
  {
    PORTA_PA0 = 0;
  }
  else 
  {
    PORTA_PA0 = 1;
  }
  if(4 == CounterForRay)
  CounterForRay = 0;
}

/* END Events */

/*
** ###################################################################
**
**     This file was created by Processor Expert 3.02 [04.44]
**     for the Freescale HCS12X series of microcontrollers.
**
** ###################################################################
*/
