/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : Timer4ms.c
**     Project   : ______PWM
**     Processor : MC9S12XS128MAA
**     Component : TimerInt
**     Version   : Component 02.159, Driver 01.20, CPU db: 3.00.019
**     Compiler  : CodeWarrior HCS12X C Compiler
**     Date/Time : 2011/6/14, 11:48
**     Abstract  :
**         This component "TimerInt" implements a periodic interrupt.
**         When the component and its events are enabled, the "OnInterrupt"
**         event is called periodically with the period that you specify.
**         TimerInt supports also changing the period in runtime.
**         The source of periodic interrupt can be timer compare or reload
**         register or timer-overflow interrupt (of free running counter).
**     Settings  :
**         Timer name                  : PIT0 (16-bit)
**         Compare name                : PITload0
**         Counter shared              : No
**
**         High speed mode
**             Prescaler               : divide-by-1
**             Clock                   : 8000000 Hz
**           Initial period/frequency
**             Xtal ticks              : 64000
**             microseconds            : 4000
**             milliseconds            : 4
**             seconds (real)          : 0.004
**             Hz                      : 250
**
**         Runtime setting             : none
**
**         Initialization:
**              Timer                  : Enabled
**              Events                 : Enabled
**
**         Timer registers
**              Counter                : PITCNT0   [$034A]
**              Mode                   : PITCFLMT  [$0340]
**              Run                    : PITCE     [$0342]
**
**         Compare registers
**              Compare                : PITLD0    [$0348]
**
**         Flip-flop registers
**     Contents  :
**         No public methods
**
**     Copyright : 1997 - 2010 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE Timer4ms. */

#include "Events.h"
#include "Timer4ms.h"

#pragma DATA_SEG Timer4ms_DATA         /* Select data segment "Timer4ms_DATA" */
#pragma CODE_SEG Timer4ms_CODE
#pragma CONST_SEG DEFAULT              /* Use default segment for constants */



/* Internal method prototypes */


/* End of Internal methods declarations */

/*
** ===================================================================
**     Method      :  Timer4ms_Interrupt (component TimerInt)
**
**     Description :
**         The method services the interrupt of the selected peripheral(s)
**         and eventually invokes event(s) of the component.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/
#pragma CODE_SEG __NEAR_SEG NON_BANKED
ISR(Timer4ms_Interrupt)
{
  PITTF = 0x01U;                       /* Reset interrupt request flag */
  Timer4ms_OnInterrupt();              /* Invoke user event */
}

#pragma CODE_SEG Timer4ms_CODE

/* END Timer4ms. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 3.02 [04.44]
**     for the Freescale HCS12X series of microcontrollers.
**
** ###################################################################
*/
